## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 27
%bcond check 1
%global debug_package %{nil}

%global crate glycin

Name:           rust-glycin
Version:        2.0.2
Release:        %autorelease
Summary:        Sandboxed image decoding

License:        MPL-2.0 OR LGPL-2.1-or-later
URL:            https://crates.io/crates/glycin
Source:         %{crates_source}

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Sandboxed image decoding.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%license %{crate_instdir}/LICENSE-LGPL-2.1
%license %{crate_instdir}/LICENSE-MPL-2.0
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+async-io-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+async-io-devel %{_description}

This package contains library source intended for building other packages which
use the "async-io" feature of the "%{crate}" crate.

%files       -n %{name}+async-io-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+gdk4-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+gdk4-devel %{_description}

This package contains library source intended for building other packages which
use the "gdk4" feature of the "%{crate}" crate.

%files       -n %{name}+gdk4-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+gobject-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+gobject-devel %{_description}

This package contains library source intended for building other packages which
use the "gobject" feature of the "%{crate}" crate.

%files       -n %{name}+gobject-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+tokio-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+tokio-devel %{_description}

This package contains library source intended for building other packages which
use the "tokio" feature of the "%{crate}" crate.

%files       -n %{name}+tokio-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
# * skip a doctest that doesn't compile
%cargo_test -- -- --skip 'src/lib.rs'
%endif

%changelog
## START: Generated by rpmautospec
* Sun Dec 01 2024 Fabio Valentini <decathorpe@gmail.com> - 2.0.2-1
- Update to version 2.0.2; Fixes RHBZ#2328435

* Thu Sep 26 2024 Fabio Valentini <decathorpe@gmail.com> - 2.0.1-1
- Update to version 2.0.1; Fixes RHBZ#2312188

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sun Apr 14 2024 Fabio Valentini <decathorpe@gmail.com> - 1.0.2-1
- Update to version 1.0.2; Fixes RHBZ#2274252

* Tue Apr 02 2024 Fabio Valentini <decathorpe@gmail.com> - 1.0.1-1
- Update to version 1.0.1; Fixes RHBZ#2269622

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Tue Sep 19 2023 Fabio Valentini <decathorpe@gmail.com> - 0.1.0-1
- Update to version 0.1.0; Fixes RHBZ#2238935

* Wed Sep 06 2023 Kalev Lember <klember@redhat.com> - 0.1.0~rc-1
- Update to 0.1.0-rc

* Wed Aug 23 2023 Kalev Lember <klember@redhat.com> - 0.1.0~beta.4-1
- Update to 0.1.0-beta.4
- Upstream relicensed to 'MPL-2.0 OR LGPL-2.1-or-later'

* Mon Aug 21 2023 Kalev Lember <klember@redhat.com> - 0.1.0~beta.3-4
- Update license to LGPL-2.1-only in Cargo.toml as well

* Mon Aug 21 2023 Kalev Lember <klember@redhat.com> - 0.1.0~beta.3-3
- Add better workaround for avoiding /usr/bin/test binary

* Mon Aug 21 2023 Kalev Lember <klember@redhat.com> - 0.1.0~beta.3-2
- Use LGPL-2.1-only for license until we get confirmation from upstream
  (rhbz#2233248)

* Mon Aug 21 2023 Kalev Lember <klember@redhat.com> - 0.1.0~beta.3-1
- Update to 0.1.0-beta.3

* Mon Aug 21 2023 Kalev Lember <klember@redhat.com> - 0.1.0~beta.2-3
- Drop an unwanted binary

* Mon Aug 21 2023 Kalev Lember <klember@redhat.com> - 0.1.0~beta.2-2
- Add missing LICENSE file from upstream

* Mon Aug 21 2023 Kalev Lember <klember@redhat.com> - 0.1.0~beta.2-1
- Update to 0.1.0-beta.2

* Mon Aug 21 2023 Kalev Lember <klember@redhat.com> - 0.1.0~beta.1-1
- Initial Fedora packaging (rhbz#2233248)
## END: Generated by rpmautospec
